libzypp: zypp::misc::testcase::TestcaseTrial::Node Struct Reference

libzypp 17.38.14

zypp::misc::testcase::TestcaseTrial::Node Struct Reference

`#include <zypp/misc/LoadTestcase.h>`

## Classes
struct | Impl

## Public Member Functions
| Node ()
| ~Node ()
const std::string & | name () const
std::string & | name ()
const std::string & | value () const
std::string & | value ()
const std::string & | getProp (const std::string &name, const std::string &def=std::string()) const
const std::map< std::string, std::string > & | properties () const
std::map< std::string, std::string > & | properties ()
const std::vector< std::shared_ptr< Node > > & | children () const
std::vector< std::shared_ptr< Node > > & | children ()

## Private Attributes
RWCOW_pointer< Impl > | _pimpl

## Detailed Description

Definition at line 29 of file LoadTestcase.h.

## Constructor & Destructor Documentation

## ◆ Node()

zypp::misc::testcase::TestcaseTrial::Node::Node | ( |  | ) |

Definition at line 60 of file LoadTestcase.cc.

## ◆ ~Node()

zypp::misc::testcase::TestcaseTrial::Node::~Node | ( |  | ) |

Definition at line 63 of file LoadTestcase.cc.

## Member Function Documentation

## ◆ name() [1/2]

const std::string & zypp::misc::testcase::TestcaseTrial::Node::name | ( |  | ) | const

Definition at line 66 of file LoadTestcase.cc.

## ◆ name() [2/2]

std::string & zypp::misc::testcase::TestcaseTrial::Node::name | ( |  | ) |

Definition at line 69 of file LoadTestcase.cc.

## ◆ value() [1/2]

const std::string & zypp::misc::testcase::TestcaseTrial::Node::value | ( |  | ) | const

Definition at line 72 of file LoadTestcase.cc.

## ◆ value() [2/2]

std::string & zypp::misc::testcase::TestcaseTrial::Node::value | ( |  | ) |

Definition at line 75 of file LoadTestcase.cc.

## ◆ getProp()

const std::string & zypp::misc::testcase::TestcaseTrial::Node::getProp | ( | const std::string & | name,
|  | const std::string & | def = std::string() ) const

Definition at line 78 of file LoadTestcase.cc.

## ◆ properties() [1/2]

const std::map< std::string, std::string > & zypp::misc::testcase::TestcaseTrial::Node::properties | ( |  | ) | const

Definition at line 84 of file LoadTestcase.cc.

## ◆ properties() [2/2]

std::map< std::string, std::string > & zypp::misc::testcase::TestcaseTrial::Node::properties | ( |  | ) |

Definition at line 87 of file LoadTestcase.cc.

## ◆ children() [1/2]

const std::vector< std::shared_ptr< TestcaseTrial::Node > > & zypp::misc::testcase::TestcaseTrial::Node::children | ( |  | ) | const

Definition at line 90 of file LoadTestcase.cc.

## ◆ children() [2/2]

std::vector< std::shared_ptr< TestcaseTrial::Node > > & zypp::misc::testcase::TestcaseTrial::Node::children | ( |  | ) |

Definition at line 93 of file LoadTestcase.cc.

## Member Data Documentation

## ◆ _pimpl

RWCOW_pointer<Impl> zypp::misc::testcase::TestcaseTrial::Node::_pimpl
| private

Definition at line 46 of file LoadTestcase.h.

The documentation for this struct was generated from the following files:

- zypp/misc/LoadTestcase.h
- zypp/misc/LoadTestcase.cc